import { LicenseKeyDto, LicenseResponseDto } from "../dtos/license.dto";
import { ServerAboutResponseDto, ServerApkLinksDto, ServerConfigDto, ServerFeaturesDto, ServerMediaTypesResponseDto, ServerPingResponse, ServerStatsResponseDto, ServerStorageResponseDto, ServerVersionHistoryResponseDto, ServerVersionResponseDto } from "../dtos/server.dto";
import { VersionCheckStateResponseDto } from "../dtos/system-metadata.dto";
import { ServerService } from "../services/server.service";
import { SystemMetadataService } from "../services/system-metadata.service";
import { VersionService } from "../services/version.service";
export declare class ServerController {
    private service;
    private systemMetadataService;
    private versionService;
    constructor(service: ServerService, systemMetadataService: SystemMetadataService, versionService: VersionService);
    getAboutInfo(): Promise<ServerAboutResponseDto>;
    getApkLinks(): ServerApkLinksDto;
    getStorage(): Promise<ServerStorageResponseDto>;
    pingServer(): ServerPingResponse;
    getServerVersion(): ServerVersionResponseDto;
    getVersionHistory(): Promise<ServerVersionHistoryResponseDto[]>;
    getServerFeatures(): Promise<ServerFeaturesDto>;
    getServerConfig(): Promise<ServerConfigDto>;
    getServerStatistics(): Promise<ServerStatsResponseDto>;
    getSupportedMediaTypes(): ServerMediaTypesResponseDto;
    getServerLicense(): Promise<LicenseResponseDto>;
    setServerLicense(license: LicenseKeyDto): Promise<LicenseResponseDto>;
    deleteServerLicense(): Promise<void>;
    getVersionCheck(): Promise<VersionCheckStateResponseDto>;
}
